#
#  GNUmakefile.preamble
#  
#  Written by:	Scott Christley <schristley@mac.com>
#  Copyright (c) 2003-2009 The BioCocoa Project.
#  All rights reserved.
#
#  Redistribution and use in source and binary forms, with or without
#  modification, are permitted provided that the following conditions
#  are met:
#  1. Redistributions of source code must retain the above copyright
#  notice, this list of conditions and the following disclaimer.
#  2. Redistributions in binary form must reproduce the above copyright
#  notice, this list of conditions and the following disclaimer in the
#  documentation and/or other materials provided with the distribution.
#  3. The name of the author may not be used to endorse or promote products
#  derived from this software without specific prior written permission.
#
#  THIS SOFTWARE IS PROVIDED BY THE AUTHOR ``AS IS'' AND ANY EXPRESS OR
#  IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES
#  OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED.
#  IN NO EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT,
#  INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT
#  NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE,
#  DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY
#  THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT
#  (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF
#  THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
#

#
#   GNUmakefile.preamble
#
#   Project specific makefile variables
#
#   Do not put any Makefile rules in this file, instead they should
#   be put into GNUmakefile.postamble.
#

#
# BioCocoa framework version info
#
BioCocoaFoundation_CURRENT_VERSION_NAME = A

#
# Flags dealing with compiling and linking
#

# Additional flags to pass to the preprocessor
ADDITIONAL_CPPFLAGS = $(DEFS) $(CONFIG_SYSTEM_DEFS) \
-Wno-import \
-Wno-unknown-pragmas
#-Wall \
#-Wcast-align \
#-Wstrict-prototypes \
#-Wpointer-arith \
#-Wcast-qual \
#-Wwrite-strings \
#-Wmissing-prototypes \
#-Wmissing-declarations \
#-Wredundant-decls \
#-Wnested-externs \
#-Winline \
#-Werror \
#-Wshadow 
#-Wconversion

# subdirectories override this
ifeq ($(BIOCOCOA_BASE_DIR),)
BIOCOCOA_BASE_DIR = .
endif

# Additional flags to pass to the Objective-C compiler
ADDITIONAL_OBJCFLAGS =

# Additional flags to pass to the C compiler
ADDITIONAL_CFLAGS = 

# Additional include directories the compiler should search
ADDITIONAL_INCLUDE_DIRS = \
-I$(BIOCOCOA_BASE_DIR) \
-I$(BIOCOCOA_BASE_DIR)/BCAnalysis \
-I$(BIOCOCOA_BASE_DIR)/BCGeneticCode \
-I$(BIOCOCOA_BASE_DIR)/BCProteinStructure \
-I$(BIOCOCOA_BASE_DIR)/BCSequence \
-I$(BIOCOCOA_BASE_DIR)/BCSequenceIO \
-I$(BIOCOCOA_BASE_DIR)/BCSymbol \
-I$(BIOCOCOA_BASE_DIR)/BCTools \
-I$(BIOCOCOA_BASE_DIR)/BCTools/BCDigest \
-I$(BIOCOCOA_BASE_DIR)/BCTools/BCSequenceProperty \
-I$(BIOCOCOA_BASE_DIR)/BCTools/BCSequenceTools \
-I$(BIOCOCOA_BASE_DIR)/BCTools/BCTranslation \
-I$(BIOCOCOA_BASE_DIR)/BCUtils

# Additional LDFLAGS to pass to the linker
ADDITIONAL_LDFLAGS = 

# Additional library directories the linker should search
#ADDITIONAL_LIB_DIRS = \
#-L$(BIOCOCOA_BASE_DIR)/BioCocoa.framework/Versions/$(BioCocoa_CURRENT_VERSION_NAME)

#
# Flags dealing with installing and uninstalling
#

# Additional directories to be created during installation
ADDITIONAL_INSTALL_DIRS =

